com.airbnb.android.react.maps

## Class AirMapView

- java.lang.Object
- - MapView
  - - com.airbnb.android.react.maps.AirMapView

    public class AirMapView
    extends MapView

### Field Summary

Fields
`GoogleMap` `map`

### Constructor Summary

Constructors
Constructor and Description
`AirMapView(ThemedReactContext context, android.content.Context appContext, AirMapManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFeature(android.view.View child, int index)`
`void` `animateToCoordinate(LatLng coordinate, int duration)`
`void` `animateToRegion(LatLngBounds bounds, int duration)`
`boolean` `dispatchTouchEvent(android.view.MotionEvent ev)`
`void` `doDestroy()`
`void` `enableMapLoading(boolean loadingEnabled)`
`void` `fitToElements(boolean animated)`
`void` `fitToSuppliedMarkers(ReadableArray markerIDsArray, boolean animated)`
`android.view.View` `getFeatureAt(int index)`
`int` `getFeatureCount()`
`android.view.View` `getInfoContents(Marker marker)`
`android.view.View` `getInfoWindow(Marker marker)`
`WritableMap` `makeClickEventData(LatLng point)`
`void` `onMapReady(GoogleMap map)`
`void` `onMarkerDrag(Marker marker)`
`void` `onMarkerDragEnd(Marker marker)`
`void` `onMarkerDragStart(Marker marker)`
`void` `onPanDrag(android.view.MotionEvent ev)`
`void` `removeFeatureAt(int index)`
`void` `setCacheEnabled(boolean cacheEnabled)`
`void` `setHandlePanDrag(boolean handlePanDrag)`
`void` `setLoadingBackgroundColor(java.lang.Integer loadingBackgroundColor)`
`void` `setLoadingIndicatorColor(java.lang.Integer loadingIndicatorColor)`
`void` `setRegion(ReadableMap region)`
`void` `setShowsMyLocationButton(boolean showMyLocationButton)`
`void` `setShowsUserLocation(boolean showUserLocation)`
`void` `setToolbarEnabled(boolean toolbarEnabled)`
`void` `startMonitoringRegion()`
`void` `stopMonitoringRegion()`
`void` `updateExtraData(java.lang.Object extraData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### map

    public GoogleMap map

### Constructor Detail

#### AirMapView

    public AirMapView(ThemedReactContext context,
                      android.content.Context appContext,
                      AirMapManager manager)

### Method Detail

#### onMapReady

    public void onMapReady(GoogleMap map)

#### doDestroy

    public void doDestroy()

#### setRegion

    public void setRegion(ReadableMap region)

#### setShowsUserLocation

    public void setShowsUserLocation(boolean showUserLocation)

#### setShowsMyLocationButton

    public void setShowsMyLocationButton(boolean showMyLocationButton)

#### setToolbarEnabled

    public void setToolbarEnabled(boolean toolbarEnabled)

#### setCacheEnabled

    public void setCacheEnabled(boolean cacheEnabled)

#### enableMapLoading

    public void enableMapLoading(boolean loadingEnabled)

#### setLoadingBackgroundColor

    public void setLoadingBackgroundColor(java.lang.Integer loadingBackgroundColor)

#### setLoadingIndicatorColor

    public void setLoadingIndicatorColor(java.lang.Integer loadingIndicatorColor)

#### setHandlePanDrag

    public void setHandlePanDrag(boolean handlePanDrag)

#### addFeature

    public void addFeature(android.view.View child,
                           int index)

#### getFeatureCount

    public int getFeatureCount()

#### getFeatureAt

    public android.view.View getFeatureAt(int index)

#### removeFeatureAt

    public void removeFeatureAt(int index)

#### makeClickEventData

    public WritableMap makeClickEventData(LatLng point)

#### updateExtraData

    public void updateExtraData(java.lang.Object extraData)

#### animateToRegion

    public void animateToRegion(LatLngBounds bounds,
                                int duration)

#### animateToCoordinate

    public void animateToCoordinate(LatLng coordinate,
                                    int duration)

#### fitToElements

    public void fitToElements(boolean animated)

#### fitToSuppliedMarkers

    public void fitToSuppliedMarkers(ReadableArray markerIDsArray,
                                     boolean animated)

#### getInfoWindow

    public android.view.View getInfoWindow(Marker marker)

#### getInfoContents

    public android.view.View getInfoContents(Marker marker)

#### dispatchTouchEvent

    public boolean dispatchTouchEvent(android.view.MotionEvent ev)

#### startMonitoringRegion

    public void startMonitoringRegion()

#### stopMonitoringRegion

    public void stopMonitoringRegion()

#### onMarkerDragStart

    public void onMarkerDragStart(Marker marker)

#### onMarkerDrag

    public void onMarkerDrag(Marker marker)

#### onMarkerDragEnd

    public void onMarkerDragEnd(Marker marker)

#### onPanDrag

    public void onPanDrag(android.view.MotionEvent ev)